<template>
  <div>
    <img
      v-if='url'
      :src='url'
      class="img"
    />
  </div>
</template>

<script>
export default {
  data() {
    return {
      defId: '',
      url: ''
    }
  },
  created() {
    this.getDefId()
  },
  methods: {
    getDefId() {
      this.$http.post('${yhxt}/flow/def/v1/listJson').then(res => {
        //养护流程图
        if (res.data.rows.length !== 0) {
          let defId = res.data.rows[0].defId
          this.url =
            window.context.yhxt +
            '/flow/def/v1/image?defId=' +
            defId +
            '&bpmnInstId=&taskId='
        }
      })
    }
  }
}
</script>
<style lang="scss" scoped>
.img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
</style>